.header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100px;
  background: darkseagreen;
  /*color: white;*/
  z-index: 10;
  text-align: center;
}

.footer {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 40px;
  background: darkseagreen;
  color: white;
  text-align: center;
  padding-top: 10px;
}

.card_area {
  display: grid;
  justify-content: center;
  grid-auto-rows: auto;
  grid-template-columns: repeat(auto-fit, 350px);
  grid-gap: 25px;
}

.cardActive {
  animation: del 300ms forwards;
}

.card {
  width: 100%;
  height: 350px;
  margin: 50px auto 0;
  border: 1px solid hsla(21, 37%, 15%, 0.3);
  overflow: hidden;
}

.card img {
  display: block;
  width: 150px;
  height: 150px;
  object-fit: cover;
  position: relative;
  margin: 0 auto;
  user-select: none;
}

.text {
  text-align: center;
  line-height: 5px;
  word-break: inherit;
  position: relative;
}

.text p:first-child {
  margin-top: 30px;
  line-height: 20px;
}

.card button {
  display: block;
  border-radius: 10px;
  line-height: normal;
  cursor: pointer;
  transition: all 0.1s;
  border: 3px solid transparent;
  margin: 5px;
  right: 0;
  user-select: none;
}


.card button:hover {
  background: darkseagreen;
  color: white;
}

.pagination {
  display: block;
  text-align: center;
}

.pagination button {
  font-size: 10px;
  padding: 5px 5px;
  border-radius: 10px;
  margin-left: 10px;
  margin-right: 10px;
  border: 3px solid transparent;
}

.pagination button:hover {
  color: white;
  background-color: #5d795d;
}



.filters {
  text-align: center;
  margin-top: 10px;
  margin-bottom: 5px;
}

.filters input[type="radio"] {
  display: none;
}

.filters * {
  display: inline-block;
  position: relative;
}

.filters label {
  padding: 0.5rem 1rem;
  margin-bottom: 0.25rem;
  border: 1px solid white;
  background-color: darkseagreen;
  color: white;
  border-radius: 2rem;
  min-width: 50px;
  line-height: normal;
  cursor: pointer;
  transition: all 0.1s;
}

.filters label:hover {
  background: white;
  color: black;
  border: 1px solid white;
}


.filters label.active {
  background: white;
  color: black;
  border: 1px solid white;
}


.allCard {
  display: block;
  text-align: center;
  border-radius: 20px;
  line-height: normal;
  cursor: pointer;
  transition: all 0.1s;
  border: 10px solid transparent;
  margin: 0 auto;
}



.allCard:hover {
  background: darkseagreen;
  color: white;
}


.lodging {
  text-align: center;
  font-size: 20px;
  margin-top: 15%;
}

.sort {
  width: auto;
  text-align: center;
  margin: 10px 30%;
}

.sortTitle {
  margin-top: 8px;
  margin-bottom: 5px;
  font-size: 20px;
  color: white;
}

.sortCategory div {
  display: inline-block;
  margin-right: 20px;
}

.thumbnail {
  list-style-type: none;
  border-left: 1px solid darkseagreen;
  margin-left: 10px;

}

.thumbnail img {
  width: 64px;
  height: 64px;
  object-fit: cover;
  display: inline-grid;
  margin: 5px 0 5px 28px;
}

.thumbnail button {
  display: block;
  font-size: 10px;
  border-radius: 10px;
  line-height: normal;
  cursor: pointer;
  transition: all 0.1s;
  border: 3px solid transparent;
  margin: 5px;
  right: 0;
}


.modal {
  position: fixed;
  height: 100%;
  width: 100%;
  background-color: rgba(0,0,0,0.5);
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.15s ease;
  z-index: 1050;
  color: white;
}

.modal.active {
  opacity: 1;
  pointer-events: all;
  overflow-y: hidden;
}

.modal_content img {
  transition: 0.4ms all;
}

.modal_content.active {
  transform: scale(1);
  overflow-y: hidden;
}

.radio {
  box-sizing: border-box;
  width: 50%;
  vertical-align: top;
  display: inline-block;
  margin-top: 10px;
  text-align: center;
  padding-bottom: 10px;
  border-bottom: 1px solid darkseagreen;
  left: 30%;
  right: 30%;
  justify-content: center;
}

.radio label {
  display: inline-block;
  cursor: pointer;
  position: relative;
  padding-left: 25px;
}

.treeList {
  margin-left: 30px;
  margin-bottom: 15px;
  margin-right: 5px;
  border-left: 1px solid darkseagreen;
  padding-left: 10px;
  font-size: 18px;
}

.treeList:hover {
  color: dimgray;
  cursor: pointer;
}

.treeListNameCard {
  display: block;
  margin-left: 30px;
  margin-bottom: 15px;
  margin-right: 5px;
  border-left: 1px solid darkseagreen;
  padding-left: 10px;
  font-size: 16px;
  list-style-type: none;
  color: black;
}

.treeListNameCard li{
  clear: left;
  float: none;
}

.treeListNameCard:hover {
  color: dimgray;
  cursor: pointer;
}


@keyframes del {
  0% {

    scale: 1;
    text-align: center;
  }
  25% {
    //opacity: 0.6;
    scale: 0.75;
    text-align: center;

  }
  50% {

    scale: 0.5;
    text-align: center;
  }
  75% {

    scale: 0.25;
    text-align: center;
  }
  100% {
    scale: 0;
    text-align: center;
    z-index: -1;
  }
}

.rootTree {
  font-size: 18px;
  margin-top: 25px;
  margin-left: 20px;
  margin-bottom: 15px;
  width: 50px;
}

.rootTree:hover {
  color: dimgray;
  cursor: pointer;
}

.mode {
  text-align: center;
  margin-top: 10px;
  margin-left: 15px;
  top: 35px;
  margin-bottom: 5px;
  position: fixed;
  z-index: 1000;
}

.mode input[type="radio"] {
  display: none;
}

.mode * {
  display: inline-block;
}

.mode label {
  padding: 0.5rem 1rem;
  margin-bottom: 0.25rem;
  border: 1px solid white;
  background-color: darkseagreen;
  border-radius: 2rem;
  min-width: 50px;
  line-height: normal;
  cursor: pointer;
  transition: all 0.1s;
  color: white;
}

.mode p {
  position: fixed;
  margin-top: -30px;
  color: white;
  font-size: 18px;
  left: 20px;
  z-index: 1050;
}

.mode label:hover {
  background: darkseagreen;
  color: white;
}

.mode label.active {
  background: white;
  color: black;
  border: 1px solid darkseagreen;
}

.allCardButton {
  top: 40px;
  margin-bottom: 5px;
  position: fixed;
  z-index: 1000;
  right: 20px;
  border: 1px solid darkseagreen;
  padding: 12px;
}

.allCardButton:hover {
  border-color: white;
}

@media (max-width: 1200px) {
  .header {height: 150px;}
  .filters {margin-top: -8px}
  .sort {margin-top: 80px; padding-bottom: 10px}
}


@media (max-width: 525px) {
  .header {height: 250px;}
  .filters {margin-top: 50px}
  .filters:last-child {margin-top: -3px}
  .sort {visibility: hidden}
  .mode {left: 25%; right: 25%; display: inline-block; top: 2px;}
  .mode p {visibility: hidden}
  .allCard {margin-top: 68px; left: 25%; right: 25%}
}

@media (max-width: 396px) {
  .header {height: 250px;}
  .filters {margin-top: 50px}
  .filters:nth-child(3) {margin-top: -3px}
  .sort {visibility: hidden}
  .mode p {visibility: hidden}
  .mode {left: 15%; right: 15%; display: inline-block; top: 2px;}
  .allCard {margin-top: 68px; left: 20%; right: 20%}
}
